summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorHunter Peavey2021-02-22 19:03:58 -0800
committerHunter Peavey2021-02-22 19:03:58 -0800
commit684daf5e75d2533995c3ee9c51246c3648f49bab (patch)
treec5d6549eb548706b8ce716e8f11344246e60b69f
parent34a0d2bc63059155e60c0bc936c8c87caf4bb30a (diff)
downloadaur-684daf5e75d2533995c3ee9c51246c3648f49bab.tar.gz
Add man pages
-rw-r--r--.SRCINFO4
-rw-r--r--PKGBUILD23
2 files changed, 23 insertions, 4 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 2820d8733bd..5fee3f7786c 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,16 +1,18 @@
pkgbase = krack
pkgdesc = Krathalan's packaging softwares
pkgver = 0.1.0
- pkgrel = 1
+ pkgrel = 2
url = https://git.sr.ht/~krathalan/krack
arch = any
license = GPL3
makedepends = git
+ makedepends = scdoc
depends = ccache
depends = devtools
depends = git
depends = gnupg
depends = rsync
+ conflicts = krack-git
backup = etc/krack/build.conf
backup = etc/krack/receive.conf
source = https://git.sr.ht/~krathalan/krack/archive/0.1.0.tar.gz
diff --git a/PKGBUILD b/PKGBUILD
index e5505cc7e76..c5e84a1246a 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -6,7 +6,7 @@
# General package information
pkgname=krack
pkgver=0.1.0
-pkgrel=1
+pkgrel=2
pkgdesc="Krathalan's packaging softwares"
url="https://git.sr.ht/~krathalan/krack"
license=("GPL3")
@@ -17,14 +17,26 @@ backup=("etc/krack/build.conf" "etc/krack/receive.conf")
# Dependencies
depends=("ccache" "devtools" "git" "gnupg" "rsync")
-makedepends=("git")
+makedepends=("git" "scdoc")
+conflicts=("krack-git")
# Download information
_packagesig="${url}/blob/master/signatures/${pkgver}.tar.gz.sig"
source=("${url}/archive/${pkgver}.tar.gz" "${_packagesig}")
sha512sums=("407e17e8a941b1836c57ee73c029876c1001d3b6d507dd88fe42bb955900d1c46283735136222d5076115f0c666f287d04ac03e2ccb9ce07bdd1d6013c86d4e7" "1a76b616f4e44f931ad4001b9604d1beec6a9b4e8cba6d5d6ef8fa71b33131f24248d16315a075a1d771db1e28e1200ba4ec09896bd3ecb503dcd87061396e62")
-package() {
+build()
+{
+ # "Build" man pages
+ cd "${srcdir}/${pkgname}-${pkgver}/man" || exit
+
+ for manpage in ./*.scd; do
+ scdoc < "${manpage}" > "${manpage%.scd}"
+ done
+}
+
+package()
+{
cd "${srcdir}/${pkgname}-${pkgver}" || exit
install -D -m644 etc/build.conf "${pkgdir}/etc/krack/build.conf"
@@ -38,5 +50,10 @@ package() {
install -D -m644 lib/honey "${pkgdir}/usr/lib/krack/honey"
install -D -m755 lib/receive "${pkgdir}/usr/lib/krack/receive"
+ install -D -m644 man/krack-build.1 "${pkgdir}/usr/share/man1/krack-build.1"
+ install -D -m644 man/krack.1 "${pkgdir}/usr/share/man1/krack.1"
+ install -D -m644 man/krackctl.1 "${pkgdir}/usr/share/man1/krackctl.1"
+
+
install -D -m644 lib/systemd/system/krack-receive.service "${pkgdir}/usr/lib/systemd/system/krack-receive.service"
}